commit: 279f335435ea9104a5876252c485b5c70f5125c4
Author: Steffen Christgau <mail <AT> s14u <DOT> de>
AuthorDate: Sun Jun 1 21:23:10 2025 +0000
Commit: Steffen Christgau <mail <AT> s14u <DOT> de>
CommitDate: Sun Jun 1 21:23:10 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=279f3354
net-misc/wsdd: add 0.9
Signed-off-by: Steffen Christgau <mail <AT> s14u.de>
net-misc/wsdd/Manifest | 1 +
net-misc/wsdd/wsdd-0.9.ebuild | 44 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/net-misc/wsdd/Manifest b/net-misc/wsdd/Manifest
index 181db47dff..6dfbdc3b02 100644
--- a/net-misc/wsdd/Manifest
+++ b/net-misc/wsdd/Manifest
@@ -1 +1,2 @@
DIST wsdd-0.8.tar.gz 40455 BLAKE2B
e4b8e29073b6ea23b73d2f740f6dbabd8c90b615de32d9972c59e5a822daf6232fcdeafb180492a37c4a29ec266c733b160376abedce3b6a90feded2aed25aa2
SHA512
e3e5164f9ebe39c979456169bf1b0c6c4cd974792f08fa4dfab9c313fba88ae1208a8112db09c3655719b4e26bfc2616f844f17d2a245132c2f5b22e978e3c20
+DIST wsdd-0.9.tar.gz 42670 BLAKE2B
8f3b20b8ddc5424fd33ec37c7f9314145ff9a91a0b49f9edd47e1691b3e775e17015bc4b2c115dd05994824140434a67c5a51637254e001922f9e1e927de8124
SHA512
245845c8d0f52a18e47411c8adfc5f9ef63a65f2caa04dd76ac033852b3d517000d88202b50be781ff0a4c7da344589dd79cdc1e0a88dbbd1f149d0dfe8db47f
diff --git a/net-misc/wsdd/wsdd-0.9.ebuild b/net-misc/wsdd/wsdd-0.9.ebuild
new file mode 100644
index 0000000000..e68a9c0b5e
--- /dev/null
+++ b/net-misc/wsdd/wsdd-0.9.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{11..13} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit python-r1 systemd
+
+DESCRIPTION="A Web Service Discovery host daemon."
+HOMEPAGE="https://github.com/christgau/wsdd"
+SRC_URI="https://github.com/christgau/wsdd/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="samba"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Samba is technically not a requirement of wsdd, but depend on it if the use
flags is set.
+RDEPEND="${PYTHON_DEPS} acct-group/${PN} acct-user/${PN} samba? ( net-fs/samba
)"
+
+src_install() {
+ python_foreach_impl python_newscript src/wsdd.py wsdd
+
+ # remove dependency on samba from init.d script if samba is not in use
flags
+ if ! use samba ; then
+ sed -i -e '/need samba/d' etc/openrc/init.d/wsdd || die
+ fi
+
+ sed -i -e "s/daemon:daemon/${PN}:${PN}/" etc/openrc/init.d/wsdd || die
+
+ doinitd etc/openrc/init.d/wsdd
+ doconfd etc/openrc/conf.d/wsdd
+
+ # install systemd unit file with dependency on samba service if use
flag is set
+ if use samba; then
+ sed -i -e 's/;Wants=smb.service/Wants=samba.service/'
etc/systemd/wsdd.service || die
+ fi
+ systemd_dounit etc/systemd/wsdd.service
+
+ dodoc README.md
+ doman man/wsdd.8
+}